$(function(){
$("#chart").dxChart({
rotated: true,
dataSource: dataSource,
commonSeriesSettings: {
argumentField: "country",
type: "bar",
hoverMode: "allArgumentPoints",
selectionMode: "allArgumentPoints",
label: {
visible: true,
format: {
type: "percent",
precision: 1
}
}
},
valueAxis: {
label: {
format: {
type: "percent",
precision: 1
}
}
},
series: [
{ valueField: "year2007", name: "2007 - 2008" },
{ valueField: "year2008", name: "2008 - 2009" }
],
title: {
text: "Economy - Export Change"
},
legend: {
verticalAlignment: "bottom",
horizontalAlignment: "center"
},
"export": {
enabled: true
},
onPointClick: function(e) {
e.target.select();
},
onLegendClick: function(e) {
var series = e.target;
if(series.isVisible()) {
series.hide();
} else {
series.show();
}
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
var dataSource = [{
country: "China",
year2007: 0.1732,
year2008: -0.1588
}, {
country: "Germany",
year2007: 0.0964,
year2008: -0.2231
}, {
country: "United States",
year2007: 0.1187,
year2008: -0.1878
}, {
country: "Japan",
year2007: 0.1081,
year2008: -0.2614
}, {
country: "France",
year2007: 0.1014,
year2008: -0.2222
}, {
country: "Netherlands",
year2007: 0.1355,
year2008: -0.2015
}];

<dx-chart
id="chart"
[dataSource]="exportData"
[rotated]="true"
title="Economy - Export Change"
(onPointClick)="pointClick($event)"
(onLegendClick)="legendClick($event)"
>
<dxi-series valueField="year2007" name="2007 - 2008"></dxi-series>
<dxi-series valueField="year2008" name="2008 - 2009"></dxi-series>
<dxo-common-series-settings
argumentField="country"
type="bar"
hoverMode="allArgumentPoints"
selectionMode="allArgumentPoints"
>
<dxo-label [visible]="true">
<dxo-format type="percent" [precision]="1"> </dxo-format>
</dxo-label>
</dxo-common-series-settings>
<dxi-value-axis>
<dxo-label>
<dxo-format type="percent" [precision]="1"> </dxo-format>
</dxo-label>
</dxi-value-axis>
<dxo-legend verticalAlignment="bottom" horizontalAlignment="center">
</dxo-legend>
<dxo-export [enabled]="true"></dxo-export>
</dx-chart>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule } from 'devextreme-angular';
import { Service, ExportData } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
exportData: ExportData[];
constructor(service: Service) {
this.exportData = service.getExportData();
}
pointClick(e: any) {
e.target.select();
}
legendClick(e: any) {
const series = e.target;
if (series.isVisible()) {
series.hide();
} else {
series.show();
}
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
}
import { Injectable } from '@angular/core';
export class ExportData {
country: string;
year2007: number;
year2008: number;
}
const exportData: ExportData[] = [{
country: 'China',
year2007: 0.1732,
year2008: -0.1588,
}, {
country: 'Germany',
year2007: 0.0964,
year2008: -0.2231,
}, {
country: 'United States',
year2007: 0.1187,
year2008: -0.1878,
}, {
country: 'Japan',
year2007: 0.1081,
year2008: -0.2614,
}, {
country: 'France',
year2007: 0.1014,
year2008: -0.2222,
}, {
country: 'Netherlands',
year2007: 0.1355,
year2008: -0.2015,
}];
@Injectable()
export class Service {
getExportData(): ExportData[] {
return exportData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.3.5/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@21.2.7/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@21.2.7/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.14/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.47',
'devexpress-gantt': 'npm:devexpress-gantt@4.0.13',
'devextreme-angular': 'npm:devextreme-angular@21.2.7',
'@devextreme/runtime': 'npm:@devextreme/runtime@2.3.14',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@2.3.14/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@6.4.0/package.json',
'npm:rxjs@6.4.0/operators/package.json',
'npm:devextreme-angular@21.2.7/*/package.json',
'npm:devextreme-angular@21.2.7/ui/*/package.json',
'npm:devextreme-angular@21.2.7/package.json',
'npm:devexpress-diagram@2.1.47/package.json',
'npm:devexpress-gantt@4.0.13/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import Chart, {
CommonSeriesSettings,
Series,
Label,
Format,
ValueAxis,
Legend,
Export,
} from 'devextreme-react/chart';
import { exportData } from './data.js';
class App extends React.Component {
render() {
return (
<Chart
id="chart"
dataSource={exportData}
rotated={true}
onPointClick={onPointClick}
onLegendClick={onLegendClick}
title="Economy - Export Change"
>
<CommonSeriesSettings
argumentField="country"
type="bar"
hoverMode="allArgumentPoints"
selectionMode="allArgumentPoints"
>
<Label visible={true}>
<Format
precision={1}
type="percent"
/>
</Label>
</CommonSeriesSettings>
<Series
valueField="year2007"
name="2007 - 2008"
/>
<Series
valueField="year2008"
name="2008 - 2009"
/>
<ValueAxis>
<Label>
<Format
precision={1}
type="percent"
/>
</Label>
</ValueAxis>
<Legend
verticalAlignment="bottom"
horizontalAlignment="center">
</Legend>
<Export enabled={true} />
</Chart>
);
}
}
function onPointClick({ target: point }) {
point.select();
}
function onLegendClick({ target: series }) {
if (series.isVisible()) {
series.hide();
} else {
series.show();
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
export const exportData = [{
country: 'China',
year2007: 0.18265,
year2008: -0.16682,
}, {
country: 'Germany',
year2007: 0.10467,
year2008: -0.20165,
}, {
country: 'United States',
year2007: 0.1232,
year2008: -0.17994,
}, {
country: 'Japan',
year2007: 0.10868,
year2008: -0.25622,
}, {
country: 'France',
year2007: 0.09526,
year2008: -0.23631,
}, {
country: 'Netherlands',
year2007: 0.14402,
year2008: -0.21923,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.6/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.43/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<DxChart
id="chart"
:data-source="exportData"
:rotated="true"
title="Economy - Export Change"
@point-click="onPointClick"
@legend-click="onLegendClick"
>
<DxCommonSeriesSettings
argument-field="country"
type="bar"
hover-mode="allArgumentPoints"
selection-mode="allArgumentPoints"
>
<DxLabel :visible="true">
<DxFormat
:precision="1"
type="percent"
/>
</DxLabel>
</DxCommonSeriesSettings>
<DxSeries
value-field="year2007"
name="2007 - 2008"
/>
<DxSeries
value-field="year2008"
name="2008 - 2009"
/>
<DxValueAxis>
<DxLabel>
<DxFormat
:precision="1"
type="percent"
/>
</DxLabel>
</DxValueAxis>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
/>
<DxExport :enabled="true"/>
</DxChart>
</template>
<script>
import DxChart, {
DxCommonSeriesSettings,
DxSeries,
DxLabel,
DxFormat,
DxValueAxis,
DxLegend,
DxExport,
} from 'devextreme-vue/chart';
import { exportData } from './data.js';
export default {
components: {
DxChart,
DxCommonSeriesSettings,
DxSeries,
DxLabel,
DxFormat,
DxValueAxis,
DxLegend,
DxExport,
},
data() {
return {
exportData,
};
},
methods: {
onPointClick({ target: point }) {
point.select();
},
onLegendClick({ target: series }) {
if (series.isVisible()) {
series.hide();
} else {
series.show();
}
},
},
};
</script>
<style>
#chart {
height: 440px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const exportData = [{
country: 'China',
year2007: 0.1732,
year2008: -0.1588,
}, {
country: 'Germany',
year2007: 0.0964,
year2008: -0.2231,
}, {
country: 'United States',
year2007: 0.1187,
year2008: -0.1878,
}, {
country: 'Japan',
year2007: 0.1081,
year2008: -0.2614,
}, {
country: 'France',
year2007: 0.1014,
year2008: -0.2222,
}, {
country: 'Netherlands',
year2007: 0.1355,
year2008: -0.2015,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);